PUT/projects/api/v3/projects/number.json

Set the project number settings

Creates or partially updates the project number settings. Only an administrator can do this.

Body Params

ProjectNumberSettingsRequest is the payload used to create or update project number settings.

    • Name
      projectNumberSettings
      Type
      object
      Description
      ProjectNumberSettingsPayload holds the editable fields for project number settings

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
      ProjectNumberSettingsResponse is the api response containing the project number settings
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      422
      Type
      object
      Schema
      Description
      422 Unprocessable Entity
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    200 OK

    ProjectNumberSettingsResponse
    {
      "projectNumberSettings": {
        "autoIncrement": true,
        "createdAt": "string",
        "createdBy": 0,
        "nextNumber": 0,
        "nextProjectNumber": "string",
        "projectNumberPattern": "string",
        "projectNumberText": "string",
        "startNumber": "string",
        "updatedAt": "string",
        "updatedBy": 0
      }
    }